%define rname pam
%define name ruby-%{rname}
%define version 1.5.2
%define release 2mdk

Summary: Ruby extension library for accessing PAM API
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://ruby-pam.sourceforge.net/ruby-pam.html
Source0: http://ovh.dl.sourceforge.net/sourceforge/ruby-%{rname}/ruby-%{rname}-%{version}.tar.bz2
License: BSD-like
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8
BuildRequires: ruby-devel pam-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/PAM is a ruby extension module for accessing pam library.

%prep
%setup -q 

%build
ruby extconf.rb
make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_archdir}/*.so
%doc COPYING README ChangeLog test/

%changelog
* Fri Apr 01 2005 Pascal Terjan <pterjan@mandrake.org> 1.5.2-2mdk
- lib64 fix

* Wed Jan 19 2004 Pascal Terjan <pterjan@mandrake.org> 1.5.2-1mdk 
- first mdk release
